petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNestGetSubMats

Returns the entire two dimensional array of matrices defining a nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetSubMats(Mat A,PetscInt *M,PetscInt *N,Mat ***mat)

Not collective

### Input Parameters

A -nest matrix

### Output Parameter

| M | - number of rows in the nest matrix
| N | - number of cols in the nest matrix
| mat | - 2d array of matrices

### Notes

The user should not free the array mat.

In Fortran, this routine has a calling sequence

      call MatNestGetSubMats(A, M, N, mat, ierr)

where the space allocated for the optional argument mat is assumed large enough (if provided).

### See Also

MatNestGetSize(), MatNestGetSubMat()

### Level

developer

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestGetSubMats_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages